<div
  *ngIf="dashboardData.length > 0; else noModulesLoaded"
  class="grid flex align-items-center justify-content-center text-center"
>
  <ng-container *ngFor="let module of dashboardData">
    <div *ngIf="module.entityCount" class="col-12 md:col-3 xl:col-2">
      <button
        class="card h-full flex align-items-center justify-content-center text-center cursor-pointer position-relative"
        (click)="navigateToModule(module.moduleName)"
        style="position: relative"
      >
        <div>
          <span class="font-semibold text-lg">{{ module.moduleName }}</span>
          <div class="mt-3">
            <span class="text-4xl font-bold text-900">{{
              module.entityCount
            }}</span>
          </div>
          <div class="navigation-icon">
            <i class="pi pi-arrow-right" style="font-size: 0.8rem"></i>
          </div>
        </div>
      </button>
    </div>
  </ng-container>
</div>

<div
  class="p-grid p-nogutter flex align-items-center justify-content-center text-center"
>
  <ng-container *ngIf="latestBugReports.length > 0">
    <div class="col-12 md:col-3 xl:col-6">
      <p-card header="Letzte Bug-Reports">
        <p-carousel
          [value]="latestBugReports"
          [numVisible]="1"
          [numScroll]="1"
          [circular]="true"
          [autoplayInterval]="10000"
          styleClass="custom-carousel"
        >
          <ng-template pTemplate="item" let-bugReports>
            <div class="feedback-item" [routerLink]="bugReports.route">
              <p>{{ bugReports.answer }}</p>
              <p>{{ bugReports.createdAt }}</p>
            </div>
          </ng-template>
        </p-carousel>
      </p-card>
    </div>
  </ng-container>
</div>

<ng-template #noModulesLoaded>
  <div
    class="p-grid p-nogutter flex align-items-center justify-content-center text-center"
  >
    <div class="col-12">
      <h2 class="text-xl font-bold">Keine Module geladen</h2>
      <p class="text-md">
        Momentan sind keine Module aktiv. Das bedeutet, dass keine Inhalte oder
        Funktionen verfügbar sind, bis Module hinzugefügt oder aktiviert werden.
      </p>
    </div>
  </div>
</ng-template>
